BEEM - Android XMPP - Support #327

Security issue with PHP Android String Translation Tool (PASTT)
12/25/2010 12:16 AM - Vladimir Rutsky

Status: Closed Start date: 12/25/2010
Priority: High Due date:

Assignee: Vincent Véronis % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Hello,

PASTT script used at hitp://dev.beem-project.com/translation/ has insufficient input sanitization:
https://code.google.com/p/android-php-translator/issues/detail?id=13

By exploiting this vulnerability remote user can create arbitrary directory in file system and possible retrieve or modify some other
web server information (with permissions of PHP interpreter).

Vladimir Rutsky

History

#1 - 12/25/2010 12:25 AM - Vladimir Rutsky

Ops, correct PASTT location is http://dev.beem-project.com/translation/index.php

#2 - 12/25/2010 01:17 AM - Frédéric Barthéléry
- Status changed from New to Assigned
- Assignee set to Vincent Véronis

- Priority changed from Urgent to High

Thanks for the report. The translation site is now disabled until we got a solution.
Merry Christmas "

#3 - 11/15/2011 10:07 PM - Nikita Kozlov

- Status changed from Assigned to Resolved

#4 - 02/03/2012 12:08 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
